Bug 46188

Summary: Core dumps in apache 2.0.59
Product: Apache httpd-2 Reporter: Anurag <anurag_gujral>
Component: mpm_workerAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.0.59   
Target Milestone: ---   
Hardware: Other   
OS: Linux   

Description Anurag 2008-11-11 10:35:15 UTC
We are getting core dump of httpd.worker on doing a stack trace
we are getting
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x004827a5 in raise () from /lib/tls/libc.so.6
#2  0x00484209 in abort () from /lib/tls/libc.so.6
#3  0x004b671a in __libc_message () from /lib/tls/libc.so.6
#4  0x004bd1c0 in _int_free () from /lib/tls/libc.so.6
#5  0x004bd33a in free () from /lib/tls/libc.so.6
#6  0x00485554 in exit () from /lib/tls/libc.so.6
#7  0x08066855 in ap_mpm_query ()
#8  0x08067d18 in ap_graceful_stop_signalled ()
#9  0x08067eaa in ap_graceful_stop_signalled ()
#10 0x0806873a in ap_mpm_run ()
#11 0x0806f660 in main ()

There is no other thread 

Any suggestions on why this is occuring
Thanks
Comment 1 Ruediger Pluem 2008-11-11 13:15:30 UTC
Please check if this happens as well with the latest 2.0.x version. In general you should upgrade to 2.2.x.
Comment 2 Anurag 2008-11-11 13:16:59 UTC
(In reply to comment #1)
> Please check if this happens as well with the latest 2.0.x version. In general
> you should upgrade to 2.2.x.

Sorry we cannot upgrade to 2.2.x as of now can we get some info on why
it is happening on 2.0.59
Comment 3 William A. Rowe Jr. 2008-11-11 14:27:12 UTC
He didn't insist you bump to 2.2.x, but you do need to upgrade to 2.0.63.

Since win32 certainly has no /lib/tls/libc.so etc, you should really
pause and correctly recategorize the bug.
Comment 4 Anurag 2008-11-11 14:33:19 UTC
This is happening on linux box
uname -a  
Linux  2.6.9-42.0.10.ELsmp #1 SMP Fri Feb 16 17:13:42 EST 2007 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 Ruediger Pluem 2008-11-12 00:41:39 UTC
Is your httpd compiled as 64 bit? It is not recommended to use 64 bit versions of httpd 2.0.x. Furthermore in order to have a chance to diagnose you need to compile your httpd with debug symbols enabled and provide us with the resulting stack trace of a possible crash.
Comment 6 Anurag 2008-11-30 16:45:11 UTC
I am not using 64 bit build.
This is the stack trace.
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x0045acb6 in kill () from /lib/tls/libc.so.6
#2  0x0807573f in ap_mpm_set_max_mem_free ()
#3  <signal handler called>
#4  0x00c980cc in apr_inet_ntop () from /usr/lib/libapr-0.so.0
#5  0x00c990d7 in apr_sockaddr_ip_get () from /usr/lib/libapr-0.so.0
#6  0x0807ef2c in ap_get_request_note ()
#7  0x08073b8d in ap_run_create_connection ()
#8  0x080673da in ap_graceful_stop_signalled ()
#9  0x00c9c51d in apr_threadattr_stacksize_set () from /usr/lib/libapr-0.so.0
#10 0x0058b3cc in start_thread () from /lib/tls/libpthread.so.0
#11 0x004fc1ae in clone () from /lib/tls/libc.so.6

Thanks in Advance.
Anurag
Comment 7 Ruediger Pluem 2008-11-30 23:57:37 UTC
(In reply to comment #6)
> I am not using 64 bit build.
> This is the stack trace.
> #0  0xffffe410 in __kernel_vsyscall ()
> #1  0x0045acb6 in kill () from /lib/tls/libc.so.6
> #2  0x0807573f in ap_mpm_set_max_mem_free ()
> #3  <signal handler called>
> #4  0x00c980cc in apr_inet_ntop () from /usr/lib/libapr-0.so.0
> #5  0x00c990d7 in apr_sockaddr_ip_get () from /usr/lib/libapr-0.so.0
> #6  0x0807ef2c in ap_get_request_note ()
> #7  0x08073b8d in ap_run_create_connection ()
> #8  0x080673da in ap_graceful_stop_signalled ()
> #9  0x00c9c51d in apr_threadattr_stacksize_set () from /usr/lib/libapr-0.so.0
> #10 0x0058b3cc in start_thread () from /lib/tls/libpthread.so.0
> #11 0x004fc1ae in clone () from /lib/tls/libc.so.6
> 

As said we need one with debug symbols enabled. This would produce a stacktrace with line numbers of the source code and give the possibility to print variable values. So the above one is no real help.

Comment 8 William A. Rowe Jr. 2018-11-07 21:09:28 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.